> For the complete documentation index, see [llms.txt](https://docs.hyper-space.io/hyperspace-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/reset_password.md).

# reset\_password

The function `reset_password()`generates a link that allows you to reset your password.

**Example -**

{% tabs %}
{% tab title="Python" %}

<pre class="language-python" data-line-numbers><code class="lang-python">host = 'host_address'
username = 'username'
password = 'password'

<strong>hyperspace_lient = hyperspace.HyperspaceClientApi(host=host,
</strong>                                                   username=username, password=password)


ticket = hyperspaceClient.resetPassword()

print(ticket)
</code></pre>

{% endtab %}

{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
String host = 'host_address';
String username = 'username';
String password = 'password';

HyperspaceClient hyperspaceClient = hyperspace.HyperspaceClientApi(host=host,
                                                  username=username, 
                                                  password=password);

Object{ data: ticket } = await hyperspaceClient.resetPassword();
System.out.println(ticket);
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```javascript
const host = 'host_address';
const username = 'username';
const password = 'password';

let hyperspaceClient = hyperspace.HyperspaceClientApi(host=host,
                                                  username=username, 
                                                  password=password);

const { data: ticket } = await hyperspaceClient.resetPassword();
console.log(ticket);
```

{% endcode %}
{% endtab %}
{% endtabs %}

The output will be of the form

&#x20;{ "ticket": "<https://auth.com/reset?ticket=xxxx#>" }


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/reset_password.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
